
    <mat-card>
        <mat-card-header>
            <mat-card-title>
                <span *ngIf="currentCourse?.id; else elseBlock">
                    {{originalTitle | titlecase}}
                </span>
                <ng-template #elseBlock>
                    Select Course
                </ng-template>
            </mat-card-title>
        </mat-card-header>

        <form #form="ngForm" (submit)="saved.emit(currentCourse)">
        <mat-card-content>
            <mat-form-field class="full-width">
            <input
                matInput
                placeholder="Course Title"
                [(ngModel)]="currentCourse.title"
                name="title"
                required
                type="text">
            </mat-form-field>
            <mat-form-field class="full-width">
                <textarea
                matInput
                placeholder="Course Description"
                [(ngModel)]="currentCourse.description"
                name="description"
                type="text"></textarea>
            </mat-form-field>

            <mat-slider
                min="0"
                max="100"
                step="1"
                thumbLabel
                [(ngModel)]="currentCourse.percentComplete"
                name="percentComplete"
                >
                <input matSliderThumb displayWith>
                </mat-slider>
                Percent Complete
                <hr>
                <mat-checkbox
                [(ngModel)]="currentCourse.favorite"
                name="favorite"
                ></mat-checkbox>
                Favorite

        <pre>{{ currentCourse | json }}</pre>
        </mat-card-content>
        <mat-card-actions>
        <button type="submit" [disabled]="form.invalid" mat-button color="primary">Submit</button>
        <button type="button" mat-button (click)="cancelled.emit">Cancel</button>>


        </mat-card-actions>
        </form>
        <hr>
        <hr>
        <pre>{{form.value | json}}</pre>
        <pre>{{form.valid | json}}</pre>

    </mat-card>
